Last modified: 2008-11-08 15:07:41 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15835 - Add meta Content-Style-Type tag
Add meta Content-Style-Type tag
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal trivial (vote)
: ---
Assigned To: Nobody - You can work on this!
http://www.mediawiki.org/wiki/MediaWiki
: accessibility
Depends on:
Blocks: html
  Show dependency treegraph
 
Reported: 2008-10-04 21:45 UTC by gurkenpapst
Modified: 2008-11-08 15:07 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description gurkenpapst 2008-10-04 21:45:55 UTC
According to http://www.w3.org/TR/html4/present/styles.html#default-style you need to define the style sheet language to have correct markup when using style attributes. 
>Documents that include elements that set the style attribute but which don't define a default style sheet language are incorrect.

MediaWiki uses elements with style attributes but is lacking this information (at least on the pages I checked). 

While http://validator.w3.org/ does not detect this as an error, a more strict validator like http://www.validome.org/ does: http://www.validome.org/validate/?uri=http://www.mediawiki.org/wiki/MediaWiki

Suggested fix: <meta http-equiv="Content-Style-Type" content="text/css" /> should be added into the head element of every page.

While I have not found any occurence during a quick search, there might also be a quite similar problem in the definition of the default script language:
http://www.w3.org/TR/html4/interact/scripts.html#h-18.2.2
>Documents that do not specify default scripting language information and that contain elements that specify an intrinsic event script are incorrect.
Comment 1 gurkenpapst 2008-10-04 21:51:03 UTC
Oops, summary should of course be: [...] definition of Content-*Style*-Type
Comment 2 Danny B. 2008-10-04 21:53:21 UTC
IIRC there's similar bug somewhere around
Comment 3 Marco 2008-11-08 14:57:30 UTC
Patch at http://pastebin.com/m773e89f1, searching for someone with commit access
Comment 4 Alexandre Emsenhuber [IAlex] 2008-11-08 15:07:41 UTC
fixed in r43294.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links